import pandas as pd
import time
def makeurl(url,url_show):
    return '=HYPERLINK("{}","{}")'.format(url,  url_show)

def handle_df_gmgn_pump_total():
    df = pd.read_csv("./df_gmgn_pump_total.csv")
    # token_url,token_name,age,mc,holders
    
    df['token_add'] = df['token_url'].str.split('/').str[-1]
 
 
    df["gmgn"] = df.apply(lambda ser: makeurl(
    f"https://gmgn.ai/sol/token/{ser['token_add']}" , "gmgn" ), axis=1)

    df["defined"] = df.apply(lambda ser: makeurl(
     f"https://www.defined.fi/sol/{ser['token_add']}" , "defined" ), axis=1)
    df.to_excel(f"df_gmgn_pump_total_{int(time.time())}.xlsx",index=False)
    
 
    
    
handle_df_gmgn_pump_total()